# Functions to Read Node Operator Information

Navigate to [Tranchess Operator Portal](https://tranchess.com/operator). On the left column of the page, you will find a status summary of all operators for quick reference.

For full details, the `NodeOperatorRegistry` contract implements the view functions to read node operator properties. A few commonly used functions are listed below.

```solidity
/// @notice Statistics of validator pubkeys from a node operator.
/// @param totalCount Total number of validator pubkeys uploaded to this contract
/// @param usedCount Number of validator pubkeys that are already used
/// @param verifiedCount Number of validator pubkeys that are verified by the contract owner
/// @param depositLimit Maximum number of usable validator pubkeys, set by the node operator
struct KeyStat {
    uint64 totalCount;
    uint64 usedCount;
    uint64 verifiedCount;
    uint64 depositLimit;
}

/// @notice Node operator parameters and internal state
/// @param operatorOwner Admin address of the node operator
/// @param name Human-readable name
/// @param withdrawalAddress Address receiving withdrawals and execution layer rewards
/// @param rewardAddress Address receiving performance rewards
struct Operator {
    address operatorOwner;
    string name;
    address rewardAddress;
    address withdrawalAddress;
    KeyStat keyStat;
}

function getOperator(uint256 id) external view returns (Operator memory);
function getRewardAddress(uint256 id) external view returns (address);
function getWithdrawalAddress(uint256 id) external view returns (address);
function getWithdrawalCredential(uint256 id) external view returns (bytes32);
function getKeyStat(uint256 id) external view returns (KeyStat memory);
function getPubkeys(uint256 id, uint256 start, uint256 count) external view returns (bytes[] memory pubkeys)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tranchess.com/tech-support/node-operator/node-operator-manual/functions-to-read-node-operator-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
